#!/usr/bin/env bash

#set -o errexit -o nounset

TIMESTAMP=$(date +%s)
CLEAN="NO"
for i in "$@"
do
case $i in
    -c|--clean)
    CLEAN="YES"
    ;;
    *)
      # unknown option
    ;;
esac
done

echo "$@"
echo "CLEAN = ${CLEAN}"

if [ "${CLEAN}" == "YES" ]
then
    echo "Launch Clean instance (${CLEAN})"
    mv ".gen" ".bak/.gen.${TIMESTAMP}"
    #mv ".nuxeo_packages" ".bak/.nuxeo_packages.${TIMESTAMP}"
    docker compose down --volumes
    rm -rf .gen
    mkdir .gen
    mkdir .gen/nuxeo_log
    docker-compose stop
    docker-compose build
    docker-compose up --force-recreate
else
    echo "Launch instance"
    docker-compose stop
    docker-compose up
fi
